SDL_SetWindowRelativeMouseMode(3)

NAME
SDL_SetWindowRelativeMouseMode - Set relative mouse mode for a window.

SYNOPSIS
#include <SDL3/SDL_mouse.h>

bool SDL_SetWindowRelativeMouseMode(SDL_Window *window, bool enabled);

DESCRIPTION
While the window has focus and relative mouse mode is enabled, the cursor is hidden, the mouse position is constrained to the window, and SDL will report continuous relative mouse motion even if the mouse is at the edge of the window.

If you'd like to keep the mouse position fixed while in relative mode you can use SDL_SetWindowMouseRect(). If you'd like the cursor to be at a specific location when relative mode ends, you should use SDL_WarpMouseInWindow() before disabling relative mode.

This function will flush any pending mouse motion for this window.

FUNCTION PARAMETERS

window
    the window to change.

enabled
    true to enable relative mode, false to disable.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetWindowRelativeMouseMode(3)